Skip to navigation

Autocomplete Hotel Names

Fast prefix-based hotel name suggestions for typeahead UI.

Parameters

  • q: Search prefix (required, min 1 char)
  • countryCode: Optional country filter
  • size: Max suggestions (default: 10, max: 50)

Example

GET /v2/search/autocomplete?q=burj&size=5

Response

{
"success": true,
"data": [
{ "id": "...", "name": "Burj Al Arab", "city": "Dubai" },
{ "id": "...", "name": "Burj Khalifa Hotel", "city": "Dubai" }
]
}

Query parameters

qstringRequired>=1 character

Search prefix (min 1 character)

countryCodestringOptional

Filter by country code (e.g., AE, GB)

sizedoubleOptional1-50Defaults to 10

Response

This endpoint returns an object.